#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "Helper.h"
#include "Probe.h"

void CMD0x34_Request_CtrlProbeLed_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
#ifdef RUNNING_WHERE_AT_BOOT	
	Command_SendbackErrorMessage(Error0x02_CannotRunAtBoot,1);
#else 
	u16 exceptLength=1;
	if (!Helper_CheckRightRecvedData(pData,dataLen,exceptLength,bIsContentBitInverted_Recv))
	{
		Command_SendbackErrorMessage(Error0x02_CannotRunAtBoot,1);		
		return;
	}

	Probes_LedCtrl(pData[0]);	
#endif	

}
